Tspi_TPM_GetEvent(3)

NAME
Tspi_TPM_GetEvent- get a PCR event for a given PCR index and event number.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_GetEvent(TSS_HTPM hTPM,          UINT32         ulPcrIndex,
                             UINT32   ulEventNumber, TSS_PCR_EVENT* pPcrEvent);

DESCRIPTION

Tspi_TPM_GetEvent provides a PCR event for a given PCR index and event number.

PARAMETERS

  hTPM
Handle of the TPM object.

  ulPcrIndex
Index of the PCR to request.

  ulEventNumber
Index of the event to request.

  pPcrEvent
Receives the PCR event data.

RETURN CODES

Tspi_TPM_GetEvent returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle to the TPM object.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_GetEvent conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetEvents(3) Tspi_TPM_GetEventLog(3).